set tez.queue.name=${TEZ_QUEUE}; 
truncate table ${DBNAME_EDW}.f_tr_sms_detallada_reinyect;

insert into ${DBNAME_EDW}.f_tr_sms_detallada_reinyect
select 
Ani_CD,
Fecha_Mensaje_FH,
Ani_Otro_CD,
Tipo_Trafico_CD,
Costo_Llamada_EURO_MO,
Importe_Inicial_MO,
Importe_Abono_MO,
Importe_Recarga_MO,
Importe_Promocion_MO,
Importe_Bolsa5_MO,
Importe_Bolsa6_MO,
Importe_No_Cargado_MO,
Importe_IVA_MO,
Tipo_Destino_Ext_CD,
Indicador_Roaming_CD,
Operadora_CD,
Recibido_TLF_Red_CD,
CID_CD,
Identificador_Archivo_CD,
Tipo_Llamada_CD,
Clase_Tarifa_CD,
Tribu_CD,
Plan_Tarifario_CD,
Deuda_MO,
Tipo_Evento_CD,
Nombre_Archivo_DE,
Roaming_FL,
Anio_Mes_NR,
fecha_inicio_mensaje_id,

Sentido_Trafico_ID,
Sub_Tipo_Mensaje_Trafico_ID,
Tipo_Mensaje_Trafico_CD,
Sentido_Trafico_CD,
Ani_Origen_CD,
Ani_Destino_CD,
Numero_Asterisco_Origen_FL,
Numero_Asterisco_Destino_FL,
Sistema_Origen_ID,
Ani_Origen_Enrutado_CD,
Numero_Corto_Origen_FL,
Ani_Destino_Enrutado_CD,
Numero_Corto_Destino_FL,
Homologado_Oper_CD,
Operadora_Origen_ID,
Operadora_Destino_ID,
COD_SERVICIO,
Lista_Destino_ID,
Tribu_Trafico_ID,
Ambito_Registro_ID,
Clase_Descuento_Aplicado_ID,
cast(Clase_Tarifa_ID as smallint),
Detalle_Tipo_Destino_ID ,
Ambito_Red_ID,
Moneda_Tasacion_ID,
cast(Acumulador_Promo_Trafico_ID as smallint),
Tipo_Destino_ID,
Tramo_Tarifario_ID,
Hora_Inicio_Mensaje_ID,
Estado_Valorizacion_ID,
Operadora_Roaming_ID,

suscripcion_id,
suscripcion_cd,
interurbano_cd,
urbano_cd,
linea_cd,
tipo_oferta_id,
tipo_oferta_de,
catalogo_producto_id,
catalogo_producto_cd,
catalogo_producto_de,
geografia_cnc_id,
geografia_cnc_cd,
sub_alm_cd,
alm_cd,
sub_region_cnc_id,
sub_region_cnc_de,
region_cnc_id,
region_cnc_de,
flag_prepago_express_id,
operadora_propietaria_id,
operadora_propietaria_cd,
operadora_propietaria_de,
operadora_receptora_id,
operadora_receptora_cd,
operadora_receptora_de,
operadora_donante_id,
operadora_donante_cd,
operadora_donante_de,
flag_volte_id,
flag_volte_cd,
flag_volte_de,
equipo_tecnologia_id,
equipo_tecnologia_cd,
equipo_tecnologia_de,
equipo_utilizado_tecnologia_id,
equipo_utilizado_tecnologia_cd,
equipo_utilizado_tecnologia_de,
catalogo_equipo_id,
catalogo_equipo_cd,
catalogo_equipo_de,
estado_suscripcion_id,
estado_suscripcion_cd,
estado_suscripcion_de,
fecha_estado_suscripcion_id,
cliente_id,
cliente_cd,
sub_tipo_cliente_id,
sub_tipo_cliente_cd,
sub_tipo_cliente_de,
tipo_cliente_id,
tipo_cliente_cd,
tipo_cliente_de,
ciclo_facturacion_id,
ciclo_facturacion_cd,
ciclo_facturacion_de,
score_economico_id,
score_economico_cd,
score_economico_de,
operadora_larga_distancia_id,
operadora_larga_distancia_cd,
operadora_larga_distancia_de,
error_cd,
true reinyectable
from ${DBNAME_WRK_PROD}.f_tr_sms_detallada_prev_final
where reinyectable = true;

insert into table ${DBNAME_EDW}.f_tr_sms_detallada partition(fecha)
select 
Ani_CD,
Fecha_Mensaje_FH,
Ani_Otro_CD,
Tipo_Trafico_CD,
Costo_Llamada_EURO_MO,
Importe_Inicial_MO,
Importe_Abono_MO,
Importe_Recarga_MO,
Importe_Promocion_MO,
Importe_Bolsa5_MO,
Importe_Bolsa6_MO,
Importe_No_Cargado_MO,
Importe_IVA_MO,
Tipo_Destino_Ext_CD,
Indicador_Roaming_CD,
Operadora_CD,
Recibido_TLF_Red_CD,
CID_CD,
Identificador_Archivo_CD,
Tipo_Llamada_CD,
Clase_Tarifa_CD,
Tribu_CD,
Plan_Tarifario_CD,
Deuda_MO,
Tipo_Evento_CD,
Nombre_Archivo_DE,
Roaming_FL,
Anio_Mes_NR,
fecha_inicio_mensaje_id,

Sentido_Trafico_ID,
Sub_Tipo_Mensaje_Trafico_ID,
Tipo_Mensaje_Trafico_CD,
Sentido_Trafico_CD,
Ani_Origen_CD,
Ani_Destino_CD,
Numero_Asterisco_Origen_FL,
Numero_Asterisco_Destino_FL,
Sistema_Origen_ID,
Ani_Origen_Enrutado_CD,
Numero_Corto_Origen_FL,
Ani_Destino_Enrutado_CD,
Numero_Corto_Destino_FL,
Homologado_Oper_CD,
Operadora_Origen_ID,
Operadora_Destino_ID,
COD_SERVICIO,
Lista_Destino_ID,
Tribu_Trafico_ID,
Ambito_Registro_ID,
Clase_Descuento_Aplicado_ID,
cast(Clase_Tarifa_ID as smallint),
Detalle_Tipo_Destino_ID ,
Ambito_Red_ID,
Moneda_Tasacion_ID,
cast(Acumulador_Promo_Trafico_ID as smallint),
Tipo_Destino_ID,
Tramo_Tarifario_ID,
Hora_Inicio_Mensaje_ID,
Estado_Valorizacion_ID,
Operadora_Roaming_ID,

suscripcion_id,
suscripcion_cd,
interurbano_cd,
urbano_cd,
linea_cd,
tipo_oferta_id,
tipo_oferta_de,
catalogo_producto_id,
catalogo_producto_cd,
catalogo_producto_de,
geografia_cnc_id,
geografia_cnc_cd,
sub_alm_cd,
alm_cd,
sub_region_cnc_id,
sub_region_cnc_de,
region_cnc_id,
region_cnc_de,
flag_prepago_express_id,
operadora_propietaria_id,
operadora_propietaria_cd,
operadora_propietaria_de,
operadora_receptora_id,
operadora_receptora_cd,
operadora_receptora_de,
operadora_donante_id,
operadora_donante_cd,
operadora_donante_de,
flag_volte_id,
flag_volte_cd,
flag_volte_de,
equipo_tecnologia_id,
equipo_tecnologia_cd,
equipo_tecnologia_de,
equipo_utilizado_tecnologia_id,
equipo_utilizado_tecnologia_cd,
equipo_utilizado_tecnologia_de,
catalogo_equipo_id,
catalogo_equipo_cd,
catalogo_equipo_de,
estado_suscripcion_id,
estado_suscripcion_cd,
estado_suscripcion_de,
fecha_estado_suscripcion_id,
cliente_id,
cliente_cd,
sub_tipo_cliente_id,
sub_tipo_cliente_cd,
sub_tipo_cliente_de,
tipo_cliente_id,
tipo_cliente_cd,
tipo_cliente_de,
ciclo_facturacion_id,
ciclo_facturacion_cd,
ciclo_facturacion_de,
score_economico_id,
score_economico_cd,
score_economico_de,
operadora_larga_distancia_id,
operadora_larga_distancia_cd,
operadora_larga_distancia_de,
cast(FROM_UNIXTIME(UNIX_TIMESTAMP(Fecha_Mensaje_FH,'yyyy-MM-dd HH:mm:ss'),'yyyyMMdd') as int) as fecha --------REvisar por que campo se debe fijar la fecha 
from ${DBNAME_WRK_PROD}.f_tr_sms_detallada_prev_final
where reinyectable = false;

INSERT OVERWRITE table ${DBNAME_EDW_PROD_LOG}.dimensional_list_nombre_extractor  partition (mode_name='sms')
SELECT DISTINCT(t3.nombre_extractor_tx) nombre_extractor_tx
FROM 
	(SELECT DISTINCT(nombre_extractor_tx) as nombre_extractor_tx
	FROM ${DBNAME_EDW_PROD_LOG}.dimensional_list_nombre_extractor WHERE mode_name='sms'
	UNION ALL 
	SELECT DISTINCT(Nombre_Archivo_DE) as nombre_extractor_tx 
	FROM ${DBNAME_WRK_PROD}.f_tr_sms_detallada_prev_final) t3;
